profile
viewpoint

Ask questions0.60.x Discussion

0.60.0-rc.0 is most likely going to be released tomorrow. The branch is already cut. We are working on the changelog.

Stay tuned.

react-native-community/releases

Answer questions slestang

I am trying to test .60.0-rc.1 on a existing project where every dependencies (more than 20) are handled with CocoaPods and pod install fail:

[!] CocoaPods could not find compatible versions for pod "React/Core":
  In Podfile:
    RNSound (from `../node_modules/react-native-sound`) was resolved to 0.10.12, which depends on
      React/Core

Apparently in https://github.com/facebook/react-native/commit/2321b3fd7f666ce30f5dad4cd2673ddf22972056 the core pod has been renamed from React/Core to React-Core :-(

At least 2 projects seems to be impacted: react-native-sound and rn-fetch-blob. I didn't find a way to trick pod with an alias or something else to work-around the issue.

What is the best way to fix this? Making PR to these project with the renaming?

useful!

Related questions

0.62.x RC Discussion hot 2
0.62.x Discussion hot 1
0.62.x Discussion hot 1
0.61.4 hot 1
0.61.4 hot 1
0.61.4 hot 1
0.60.6 Discussion hot 1
0.61.5 Discussion hot 1
v0.63.0 Discussion - releases hot 1
0.61.x Discussion hot 1
0.61.x Discussion hot 1
0.61.x Discussion hot 1
0.61.3 Discussion hot 1
0.62.x Discussion hot 1
source:https://uonfu.com/
Github User Rank List